--[[	PhantomPlates Utilities
	by SDPhantom
	https://www.wowinterface.com/forums/member.php?u=34145
	https://www.curseforge.com/members/sdphantomgamer/projects	]]
--------------------------------------------------------------------------

--------------------------
--[[	Namespace	]]
--------------------------
local AddOn=select(2,...);
AddOn.Utilities={};

----------------------------------
--[[	Shared Functions	]]
----------------------------------
function AddOn.Utilities.ModifyFont(obj,font,size,flags)
	local origfont,origsize,origflags=obj:GetFont();
	return obj:SetFont(font or origfont,size or origsize,flags or origflags);
end

function AddOn.Utilities.UnitPowerBarColor(unit)
	local powertype,powertoken,r,g,b=UnitPowerType(unit);
	if PowerBarColor[powertoken] then return ColorMixin.GetRGB(PowerBarColor[powertoken]);
	elseif r and g and b then return r,g,b;
	else return ColorMixin.GetRGB(PowerBarColor[powertype] or PowerBarColor.MANA); end
end

function AddOn.Utilities.AdjustColorBrightness(delta,r,g,b)--	Delta is -1.0 to 1.0 (Negative darkens; Positive brightens)
	if delta>0 then
		return r+(1-r)*delta,g+(1-g)*delta,b+(1-b)*delta;
	else delta=1+delta; return r*delta,g*delta,b*delta; end
end
